package cn.estsh.i3plus.pojo.mes.model;


import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * @Author: wangjie
 * @CreateDate: 2019/8/21 9:19 AM
 * @Description:
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Api("mes生产计划导入结果model")
public class MesPlanOrderExcelResultModel implements Serializable {

    @ApiParam("结果")
    private boolean result;

    @ApiParam("成功数量")
    private int successNum;

    @ApiParam("失败数量")
    private int errorNum;

    @ApiParam("错误信息集合")
    private List<MesPlanOrderExcelErrorModel> mesPlanOrderExcelErrorModel;

    @ApiParam("错误的行号")
    private String errorRows;

}
